Learn about Centmin Mod LEMP Stack today
Become a Member

Beta Branch disable HPACK patch for nginx 1.15.8

Discussion in 'Centmin Mod Github Commits' started by eva2000, Dec 26, 2018.

  1. eva2000

    eva2000 Administrator Staff Member

    45,991
    10,448
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +16,210
    Local Time:
    3:24 PM
    Nginx 1.19.x
    MariaDB 5.5/10.x
  2. pamamolf

    pamamolf Premium Member Premium Member

    3,904
    390
    83
    May 31, 2014
    Ratings:
    +757
    Local Time:
    7:24 AM
    Nginx-1.17.x
    MariaDB 10.3.x
    It doesn't work with the latest Nginx 1.15.8 ?
     
  3. pdinh97qng

    pdinh97qng Member

    102
    12
    18
    Jan 24, 2016
    Ratings:
    +33
    Local Time:
    9:24 PM
    That's why it's removed! But during running command cmupdate, I saw hpack patch for nginx 1.15.8!
     
  4. pamamolf

    pamamolf Premium Member Premium Member

    3,904
    390
    83
    May 31, 2014
    Ratings:
    +757
    Local Time:
    7:24 AM
    Nginx-1.17.x
    MariaDB 10.3.x
    Last edited: Dec 27, 2018
  5. upgrade81

    upgrade81 Premium Member Premium Member

    266
    16
    18
    Sep 5, 2016
    Italy
    Ratings:
    +27
    Local Time:
    6:24 AM
    1.17
    10.3
    Hi, can you confirm that Hpack is only available up to the version of nginx 1.15.7?
     
  6. eva2000

    eva2000 Administrator Staff Member

    45,991
    10,448
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +16,210
    Local Time:
    3:24 PM
    Nginx 1.19.x
    MariaDB 5.5/10.x
    yes 1.15.7 is last supported version for now until I find a working patch solution for newer versions
     
  7. upgrade81

    upgrade81 Premium Member Premium Member

    266
    16
    18
    Sep 5, 2016
    Italy
    Ratings:
    +27
    Local Time:
    6:24 AM
    1.17
    10.3
    Is there really no possibility of seeing hpack on subsequent to 1.15.7?
     
  8. eva2000

    eva2000 Administrator Staff Member

    45,991
    10,448
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +16,210
    Local Time:
    3:24 PM
    Nginx 1.19.x
    MariaDB 5.5/10.x
    unfortunately not a option that is stable in terms of being able to patch successfully on every nginx version to be released. But I am keeping an eye on it :)